<div class="app-products-div">
  <mat-spinner style="margin: 0 auto" *ngIf="products.length === 0"></mat-spinner>
  <mat-card *ngFor="let product of products" class="e-product-card">
    <mat-card-header>
      <mat-card-title>{{product.name}}</mat-card-title>
      <mat-card-subtitle>{{product.price}} $ / {{product.quantity}}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <p>
        {{product.description}}
      </p>
      <img src="{{product.imageUrl}}" class="e-product-img" />
    </mat-card-content>
    <mat-card-actions>
      <button mat-stroked-button class="save" color="primary" (click)="verProducto(product.id)">Ver producto</button>
    </mat-card-actions>
  </mat-card>
</div>
